.theme-body {
  .theme-block {
    .content-wrapper {
      top: 0;
      transform: none;
      background-color: var(--ion-foreground-color);
      padding: 25px 25px 35px;
      border-radius: 15px;
      min-width: 300px;

      .fail-block {
        max-width: 400px;
        width: 400px;
        min-width: 240px;

        .fail-main-header {
          display: block;
          width: 100%;
          font-weight: 600;
          font-size: 18px;
          padding: 0 0 15px;
        }

        .fail-icon-wrapper {
          display: block;
          text-align: center;
          padding: 30px 0;

          .fail-icon {
            font-size: 250px;
            color: var(--ion-color-danger);
          }
        }

        .fail-message {
          padding: 0 5px;
          color: var(--ion-color-danger);
          text-align: center;
        }

        .close-btn-block {
          padding: 20px 0 10px;

          .close-btn {
            margin: 0;
            font-weight: 600;
            --border-radius: 10px;
            --padding-top: 25px;
            --padding-bottom: 25px;
          }
        }
      }
    }
  }
}
